OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectShared Class Reference

A SelectShared selects Entities which are directly Shared
by the Entities of the Input list
.

`#include <IFSelect_SelectShared.hxx>`

Inheritance diagram for IFSelect_SelectShared:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_SelectShared ()
| Creates a SelectShared; .
Standard_EXPORT Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities (list of entities shared by those of input list) .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text defining the criterium : "Shared (one level)" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectShared::IFSelect_SelectShared | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_SelectShared::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectDeduct.

Standard_EXPORT TCollection_AsciiString IFSelect_SelectShared::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT Interface_EntityIterator IFSelect_SelectShared::RootResult | ( | const Interface_Graph & | G | ) | const`[virtual]`

| Implements IFSelect_Selection.

The documentation for this class was generated from the following file:

- IFSelect_SelectShared.hxx